# Simple Stock Bots

<style>.bmc-button img{height: 34px !important;width: 35px !important;margin-bottom: 1px !important;box-shadow: none !important;border: none !important;vertical-align: middle !important;}.bmc-button{padding: 7px 15px 7px 10px !important;line-height: 35px !important;height:51px !important;text-decoration: none !important;display:inline-flex !important;color:#FFFFFF !important;background-color:#FF813F !important;border-radius: 5px !important;border: 1px solid transparent !important;padding: 7px 15px 7px 10px !important;font-size: 22px !important;letter-spacing: 0.6px !important;box-shadow: 0px 1px 2px rgba(190, 190, 190, 0.5) !important;-webkit-box-shadow: 0px 1px 2px 2px rgba(190, 190, 190, 0.5) !important;margin: 0 auto !important;font-family:'Cookie', cursive !important;-webkit-box-sizing: border-box !important;box-sizing: border-box !important;}.bmc-button:hover, .bmc-button:active, .bmc-button:focus {-webkit-box-shadow: 0px 1px 2px 2px rgba(190, 190, 190, 0.5) !important;text-decoration: none !important;box-shadow: 0px 1px 2px 2px rgba(190, 190, 190, 0.5) !important;opacity: 0.85 !important;color:#FFFFFF !important;}</style><link href="https://fonts.googleapis.com/css?family=Cookie" rel="stylesheet"><a class="bmc-button" target="_blank" href="https://www.buymeacoffee.com/Anson"><img src="https://cdn.buymeacoffee.com/buttons/bmc-new-btn-logo.svg" alt="Buy me a beer"><span style="margin-left:5px;font-size:28px !important;">Buy me a beer</span></a>

[![Platform](https://img.shields.io/badge/platform-Telegram-blue.svg)](https://t.me/SimpleStockBot)
[![Platform](https://img.shields.io/badge/platform-Discord-blue.svg)](https://discordapp.com/api/oauth2/authorize?client_id=532045200823025666&permissions=0&scope=bot)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://tldrlegal.com/license/mit-license#summary)

---

## About

Simple Stock Bots is a family of messaging bots that aim to provide simple interface to stock market information. Currently there are only Telegram and Discord Bots.

## Getting Started

The bots can either be added to a server or can be direct messaged for the exact same functionality. Links for each platform are below:

- [Telegram](https://t.me/SimpleStockBot)
- [Discord](https://discordapp.com/oauth2/authorize?client_id=532045200823025666&permissions=2048&scope=bot)

Alternatively, this project is completely open source and instructions on how to run your own instance of the bot are provided on each of the bots pages. [Hosting](#source-code)

## Usage

The bots are nearly identical between platforms, but sometimes a platform will have a feature that only it supports such as Telegrams inline messaging or Discords embeds.

### Automatic

Anytime the Bot is in your chat it will search all chats for `$` followed by a ticker. For example `$tsla` will return the following message for Tesla Motors:

```
The current stock price of Tesla Inc. is $321.35, the stock is currently up 2.7%
```

This works no matter where the ticker is in the message and you can have as many tickers as you want in the same message. For example:

```
I wonder how $aapl, $nflx, and $sono are performing today.
```

Will return:

![Conversation With Simple Telegram Bot](img\telegramBotTickerReply.png)

### Universal Commands

- /dividend `$[symbol]` will return dividend information for the symbol.
- /news `$[symbol]` will return news about the symbol.
- /info `$[symbol]` will return general information about the symbol.
- /search `query` Takes a search string, whether a company name or ticker and returns a list of companies that are supported by the bot.

### Telegram Features

For the full list of Telgram bot features see [Telegram Commands](./telegram)

---

## Support the Project

If you appreciate these bots please consider [donating](./donate) or contributing in another way so that they can remain free, and so that I can continue to post free things on the world wide web.

### Ways to help:

- [_"buy me a coffee"_](https://www.buymeacoffee.com/Anson)
- Use my referral links when hosting your own bot. [DigitalOcean](https://m.do.co/c/6b5df7ef55b6) or [IEX Cloud](https://iexcloud.io/s/62c8503e)
- Follow me on [twitter](https://twitter.com/Anson_3D)
- Contribute to the project on [GitLab](https://gitlab.com/simple-stock-bots) or just leave a star

## Help the bot isn't working! / I have an amazing feature that you should totally add!

Feel free to reach out at any of the following places:

- Run the `/help` command and try to figure it out yourself.
- Open an issue on gitlab: [`Telegram Bot`](https://gitlab.com/simple-stock-bots/simple-telegram-stock-bot) [`Discord Bot`](https://gitlab.com/simple-stock-bots/simple-discord-stock-bot)
- Message me on [Telegram](https://t.me/MisterBiggs)
- Message me on Discord `MisterBiggs#0465`
- Assume someone else is already messaging me
- [Send a Carrier Pigeon 🕊 \(Twitter\)](https://twitter.com/Anson_3D)

## Source Code

The source code for the bots is completely open and hosted on GitLab. The project is licensed with an MIT License which is incredibly permissive. The full text of the license can be read [here](./LICENSE)

- [Telegram](https://gitlab.com/simple-stock-bots/simple-telegram-stock-bot)
- [Discord](https://gitlab.com/simple-stock-bots/simple-discord-stock-bot)

If you decide to host your own bots using my source code please consider using my referral links for DigitalOcean and IEX Cloud. We both get a kickback when you use them.

- [DigitalOcean](https://m.do.co/c/6b5df7ef55b6)
- [IEX Cloud](https://iexcloud.io/s/62c8503e)
